{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.usas12": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
{"text":"query.get_equipped_item_name=='usas12' && variable.attack_time && query.is_sneaking"},
{"ammo0":"query.mark_variant == 0 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo1":"query.mark_variant == 1 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo2":"query.mark_variant == 2 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo3":"query.mark_variant == 3 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo4":"query.mark_variant == 4 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo5":"query.mark_variant == 5 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo6":"query.mark_variant == 6 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo7":"query.mark_variant == 7 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo8":"query.mark_variant == 8 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo9":"query.mark_variant == 9 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo10":"query.mark_variant == 10 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo11":"query.mark_variant == 11 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo12":"query.mark_variant == 12 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo13":"query.mark_variant == 13 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo14":"query.mark_variant == 14 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo15":"query.mark_variant == 15 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo16":"query.mark_variant == 16 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo17":"query.mark_variant == 17 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo18":"query.mark_variant == 18 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo19":"query.mark_variant == 19 && query.get_equipped_item_name=='usas12' && query.is_using_item"},
{"ammo20":"query.mark_variant == 20 && query.get_equipped_item_name=='usas12' && query.is_using_item"},

{"display0":"query.mark_variant == 0 && query.get_equipped_item_name=='usas12'"},
{"display1":"query.mark_variant == 1 && query.get_equipped_item_name=='usas12'"},
{"display2":"query.mark_variant == 2 && query.get_equipped_item_name=='usas12'"},
{"display3":"query.mark_variant == 3 && query.get_equipped_item_name=='usas12'"},
{"display4":"query.mark_variant == 4 && query.get_equipped_item_name=='usas12'"},
{"display5":"query.mark_variant == 5 && query.get_equipped_item_name=='usas12'"},
{"display6":"query.mark_variant == 6 && query.get_equipped_item_name=='usas12'"},
{"display7":"query.mark_variant == 7 && query.get_equipped_item_name=='usas12'"},
{"display8":"query.mark_variant == 8 && query.get_equipped_item_name=='usas12'"},
{"display9":"query.mark_variant == 9 && query.get_equipped_item_name=='usas12'"},
{"display10":"query.mark_variant == 10 && query.get_equipped_item_name=='usas12'"},
{"display11":"query.mark_variant == 11 && query.get_equipped_item_name=='usas12'"},
{"display12":"query.mark_variant == 12 && query.get_equipped_item_name=='usas12'"},
{"display13":"query.mark_variant == 13 && query.get_equipped_item_name=='usas12'"},
{"display14":"query.mark_variant == 14 && query.get_equipped_item_name=='usas12'"},
{"display15":"query.mark_variant == 15 && query.get_equipped_item_name=='usas12'"},
{"display16":"query.mark_variant == 16 && query.get_equipped_item_name=='usas12'"},
{"display17":"query.mark_variant == 17 && query.get_equipped_item_name=='usas12'"},
{"display18":"query.mark_variant == 18 && query.get_equipped_item_name=='usas12'"},
{"display19":"query.mark_variant == 19 && query.get_equipped_item_name=='usas12'"},
{"display20":"query.mark_variant == 20 && query.get_equipped_item_name=='usas12'"}
]
				},
"text":{"transitions":[{"default":"(!variable.attack_time)"}],"on_entry":["/playsound addon.action @s","/tellraw @s {\"rawtext\":[{\"text\":\"AMMO: 10rnd 12 Gauge Magazine / 20rnd 12 Gauge Drum Magazine\"}]}"]},
"ammo0":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/playsound action.noammo @a[r=8]","/title @s actionbar §4NO AMMO"]},
"ammo1":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 0","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo2":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 1","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo3":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 2","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo4":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 3","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo5":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 4","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo6":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 5","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo7":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 6","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo8":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 7","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo9":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 8","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo10":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 9","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo11":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 10","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo12":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 11","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo13":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 12","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo14":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 13","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo15":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 14","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo16":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 15","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo17":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 16","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo18":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 17","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo19":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 18","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo20":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun5 @a[r=64]","/replaceitem entity @s slot.weapon.mainhand 0 addon:usas12 1 19","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2.5","/camerashake add @s 0.2 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},

"display0":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 0/20"]},
"display1":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 1/20"]},
"display2":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 2/20"]},
"display3":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 3/20"]},
"display4":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 4/20"]},
"display5":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 5/20"]},
"display6":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 6/20"]},
"display7":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 7/20"]},
"display8":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 8/20"]},
"display9":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 9/20"]},
"display10":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 10/20"]},
"display11":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 11/20"]},
"display12":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 12/20"]},
"display13":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 13/20"]},
"display14":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 14/20"]},
"display15":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 15/20"]},
"display16":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 16/20"]},
"display17":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 17/20"]},
"display18":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 18/20"]},
"display19":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 19/20"]},
"display20":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 20/20"]}
			}
		}
	}
}